Mail archive
alpine-aports

[alpine-aports] [PATCH 2/9] testing/py-opengl: new aport

From: Stuart Cardall <developer_at_it-offshore.co.uk>
Date: Sun, 24 Apr 2016 23:23:02 +0000

closes https://bugs.alpinelinux.org/issues/5483

---
 testing/py-opengl/APKBUILD | 31 +++++++++++++++++++++++++++++++
 1 file changed, 31 insertions(+)
 create mode 100644 testing/py-opengl/APKBUILD
diff --git a/testing/py-opengl/APKBUILD b/testing/py-opengl/APKBUILD
new file mode 100644
index 0000000..42b0aa7
--- /dev/null
+++ b/testing/py-opengl/APKBUILD
_at_@ -0,0 +1,31 @@
+# Contributor: Stuart Cardall <developer_at_it-offshore.co.uk>
+# Maintainer: Stuart Cardall <developer_at_it-offshore.co.uk>
+pkgname=py-opengl
+pkgver=3.1.1
+_pkgreal=PyOpenGL-${pkgver}a1
+pkgrel=0
+pkgdesc="OpenGL bindings for Python"
+url="http://pyopengl.sourceforge.net/"
+arch="noarch"
+license="BSD"
+depends="python freeglut mesa-gles py-pillow py-numpy"
+depends_dev=""
+makedepends="python-dev py-setuptools freeglut-dev"
+install=""
+subpackages=""
+source="http://pypi.python.org/packages/source/P/PyOpenGL/$_pkgreal.tar.gz"
+
+builddir="$srcdir"/$_pkgreal
+build() {
+	cd "$builddir"
+	python setup.py build || return 1
+}
+
+package() {
+	cd "$builddir"
+	python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="77ee6044ceb2cf952aca89a9b2d3d585  PyOpenGL-3.1.1a1.tar.gz"
+sha256sums="c96d909b359abe3271b746bacf7e6ba52935141e2406a8f90231e4e44dfa4075  PyOpenGL-3.1.1a1.tar.gz"
+sha512sums="8f4f57b153ee014dc238fe83180cc92f8e789a274fc6b0cbef6f5dec9dbc44cb1ae1f6b142a6c2b4c8c000709338d64f5968939eeb6a2384f87fb63ae99b40d8  PyOpenGL-3.1.1a1.tar.gz"
-- 
2.8.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sun Apr 24 2016 - 23:23:02 GMT